Bug 437675 - ppc64 pangox.pc contains unneeded rpath linkage
ppc64 pangox.pc contains unneeded rpath linkage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 433199
  Show dependency treegraph
 
Reported: 2008-03-16 02:57 EDT by Mamoru TASAKA
Modified: 2008-08-28 11:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 11:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-03-16 02:57:53 EDT
Description of problem:

When I am reviewing anjuta (bug 433199), I noticed that
ppc64 pangox.pc contains the line
----------------------------------------------------------
Libs: -L${libdir} -lpangox-1.0  -L/usr/lib64 -R/usr/lib64 -lX11
----------------------------------------------------------
which contains "-R/usr/lib64". This adds unneeded rpath
to all binaries using pangox.pc when compiling.
This causes anjuta build failure on ppc64 with
/usr/lib/rpm/check-rpaths.

http://koji.fedoraproject.org/koji/taskinfo?taskID=517965

Version-Release number of selected component (if applicable):
pango-devel-1.20.0-1.fc9.ppc64

How reproducible:
100%

Steps to Reproduce:
1. Check /usr/lib64/pkgconfig/pangox.pc
2.
3.
Comment 1 Behdad Esfahbod 2008-03-16 19:27:16 EDT
Why does anjuta even use pangox?  That's been obsolete for more than 5 years...
Comment 2 Mamoru TASAKA 2008-03-16 20:08:28 EDT
On anjuta pangox is used via vte.pc. i.e. vte.pc (in vte-devel)
has:
-----------------------------------------------------------------------
Name: vte
Description: Vte terminal widget.
Version: 0.16.13
Requires: xft >= 2.0 glib-2.0 gobject-2.0 gtk+-2.0 fontconfig pangoxft >= 1.1.0
pangox
-----------------------------------------------------------------------
Comment 3 Behdad Esfahbod 2008-03-16 20:22:47 EDT
Umm, can you also see if you can find out where the rpath is coming from in pango?
Comment 4 Mamoru TASAKA 2008-03-16 20:27:12 EDT
Okay. I will try later.
Comment 5 Mamoru TASAKA 2008-03-16 21:25:02 EDT
Well,

x86_64:
http://koji.fedoraproject.org/koji/taskinfo?taskID=518796
ppc64:
http://koji.fedoraproject.org/koji/taskinfo?taskID=518785
(build intentionally exited with 1, just to catch some logs)

pangox.pc.in contains
----------------------------------------------------------------------------
Libs: -L${libdir} -lpangox-@PANGO_API_VERSION@ @X_LIBS@
----------------------------------------------------------------------------
so -R/usr/lib64 in ppc64 comes from X_LIBS.

And in ppc64 -R/usr/lib64 is added to X_LIBS around lines
20580-20668 in configure.
on ppc64:
-----------------------------------------------------------------------------
checking whether -R must be followed by a space... no
-----------------------------------------------------------------------------
Then -R/usr/lib64 is added to X_LIBS around the line 20620
in configure.
On the other hand, in x86_64:
-----------------------------------------------------------------------------
   205  checking whether -R must be followed by a space... neither works
-----------------------------------------------------------------------------
Comment 6 Bug Zapper 2008-05-14 02:38:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Mamoru TASAKA 2008-08-28 11:35:05 EDT
pango-1.21.5-1.fc10 does not have this issue. Once closing.

Note You need to log in before you can comment on or make changes to this bug.